%define anolis_release 1
Name:           libmspack
Version:        0.10.1
Release: %{anolis_release}%{dist}

Summary:        Library for CAB and related files compression and decompression

License:        LGPLv2
URL:            http://www.cabextract.org.uk/libmspack/
Source0:        http://www.cabextract.org.uk/libmspack/%{name}-%{version}alpha.tar.gz
#Source0:        https://github.com/kyz/libmspack/archive/v%{version}alpha/%{name}-v%{version}alpha.tar.gz

BuildRequires:  doxygen
BuildRequires:  gcc
BuildRequires: make

# Temporarily while building from github tarball:
#BuildRequires:  autoconf, automake, libtool

%description
The purpose of libmspack is to provide both compression and decompression of 
some loosely related file formats used by Microsoft.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Obsoletes:      %{name}-doc < 0.2

%description    devel
The %{name}-devel package contains libraries, header files and documentation
for developing applications that use %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n %{name}-%{version}alpha

chmod a-x mspack/mspack.h

# Temporarily while building from github tarball:
#autoreconf -fi

%build
%configure --disable-static --disable-silent-rules

# disable rpath the hard way
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build

%install
%make_install

rm $RPM_BUILD_ROOT%{_libdir}/libmspack.la

iconv -f ISO_8859-1 -t utf8 ChangeLog --output Changelog.utf8
touch -r ChangeLog Changelog.utf8
mv Changelog.utf8 ChangeLog

pushd doc
doxygen
find html -type f | xargs touch -r %{SOURCE0}
rm -f html/installdox
popd

%generate_compatibility_deps

%files
%dir %{abidir}
%license COPYING.LIB
%{_libdir}/%{name}.so.0*
%{abidir}/%{name}.dump

%files devel
%doc doc/html
%{_includedir}/mspack.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%files doc
%doc README TODO ChangeLog AUTHORS

%changelog
* Sat Mar 25 2023 Heng Qi <hengqi@linux.alibaba.com> - 0.10.1-1
- Init package from upstream
